Package ru.bitel.bgbilling.modules.voice.server.bean.code

# Class GeoCodeManager

java.lang.Object
ru.bitel.bgbilling.modules.voice.server.bean.code.GeoCodeManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class GeoCodeManager
    extends java.lang.Object
    implements java.lang.AutoCloseable

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GeoCodeManager​(java.sql.Connection con, int moduleId, int userId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `close()` |
  `int` | `delete​(java.util.List<java.lang.Integer> codes)` |
  `protected VoiceGeographicCode` | `get​(java.lang.String code, int codeId, int operatorId)` | Получение одного геокода по его id (или по текстовому представлению)
  `java.lang.String` | `importGeographicCode​(int operatorId, boolean addNew, boolean updateExist, javax.xml.ws.Holder<javax.activation.DataHandler> importContent)` |
  `java.util.List<VoiceGeographicCode>` | `list​(int codeId, int operatorId)` | Получение списка геокодов с возможностью вывести вывести все геокоды на определенную дату, либо геокоды без учета даты (полная история по геокоду), либо конкретный геокод на определенную дату.
  `int` | `updateGeographicCode​(VoiceGeographicCode code)` | апдейтит код, в коде уже есть направление!!!

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeoCodeManager

    public GeoCodeManager​(java.sql.Connection con, int moduleId, int userId)

- ## Method Details

  - ### list

    public java.util.List<VoiceGeographicCode> list​(int codeId, int operatorId) throws ru.bitel.bgbilling.common.BGException
    Получение списка геокодов с возможностью вывести вывести все геокоды на определенную дату, либо геокоды без учета даты (полная история по геокоду), либо конкретный геокод на определенную дату.
    Parameters:
      `codeId` - id геокода, список изменений которого нужно вывести
      `date` - дата, на которую необходимо вывести геокоды.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete​(java.util.List<java.lang.Integer> codes) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `java.lang.AutoCloseable`

  - ### get

    protected VoiceGeographicCode get​(java.lang.String code, int codeId, int operatorId) throws ru.bitel.bgbilling.common.BGException
    Получение одного геокода по его id (или по текстовому представлению)
    Parameters:
      `code` - текстовое представление геокода
      `codeId` - id геокода
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateGeographicCode

    public int updateGeographicCode​(VoiceGeographicCode code) throws ru.bitel.bgbilling.common.BGException
    апдейтит код, в коде уже есть направление!!!
    Parameters:
      `code` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### importGeographicCode

    public java.lang.String importGeographicCode​(int operatorId, boolean addNew, boolean updateExist, javax.xml.ws.Holder<javax.activation.DataHandler> importContent) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`